Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class AbstractPhysicalDevice.TagProcessor

    java.lang.Object
      com.connecterra.ale.reader.AbstractPhysicalDevice.TagProcessor

Direct Known Subclasses:
  AbstractPhysicalDevice.TagData

Enclosing class:
  AbstractPhysicalDevice

    public abstract static class AbstractPhysicalDevice.TagProcessor

extends Object

The base class of objects which can be passed to `AbstractPhysicalDevice.processOpSpecs(com.connecterra.ale.reader.AbstractPhysicalDevice.TagProcessor, java.util.List)`. Each TagProcessor represents a minimally-addressible object visible to the device. In RFID applications this is an RFID tag. `AbstractPhysicalDevice.processOpSpecs(com.connecterra.ale.reader.AbstractPhysicalDevice.TagProcessor, java.util.List)` takes in the list of requests from outside and attempts to delegate each request to the TagProcessor, by examining the TagProcessor to see which interfaces it implements. The interesting TagProcessor interfaces driver developers may wish to implement are:

`AbstractPhysicalDevice.EPCglobalTagReadProcessor`
`AbstractPhysicalDevice.EPCglobalTagWriteProcessor`
`AbstractPhysicalDevice.EPCglobalTagProcessor`
  (a combination of the associated read and write processor interfaces)
`AbstractPhysicalDevice.BankReadTagProcessor`
`AbstractPhysicalDevice.BankWriteTagProcessor`
`AbstractPhysicalDevice.BankTagProcessor`
  (a combination of the associated read and write processor interfaces)
`AbstractPhysicalDevice.EPCglobalClass1Gen2TagProcessor`
`AbstractPhysicalDevice.AFIReadingTagProcessor`

See the associated interfaces' Javadoc for more detail.

Constructor Summary
`AbstractPhysicalDevice.TagProcessor()`

Method Summary
`protected void` | `finish()` This method is called last, after all TagProcessor methods have been invoked.
`DeviceTagReport` | `getDeviceTagReport()`
`protected Map` | `getParameters()` Returns the set of parameters associated with the request being processed.
`void` | `setDeviceTagReport(DeviceTagReport report)` Set the `DeviceTagReport` on the TagProcessor
`protected abstract void` | `start()` This method is invoked first, before any of the TagProcessor methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPhysicalDevice.TagProcessor

    public AbstractPhysicalDevice.TagProcessor()

Method Detail

### setDeviceTagReport

    public void setDeviceTagReport(DeviceTagReport report)

  Set the `DeviceTagReport` on the TagProcessor

  Parameters:
    `report` - the `DeviceTagReport` to associate with this tag

### getDeviceTagReport

    public DeviceTagReport getDeviceTagReport()

  Returns:
    the `DeviceTagReport` value associated with this tag

### getParameters

    protected Map getParameters()

  Returns the set of parameters associated with the request being processed. These parameters may come from the ALE or ALEPC poll or immediate commands or the PCSpec parameter list.

  Returns:
    a `Map` of request parameters (parameter name → parameter value)

### start

    protected abstract void start()

  This method is invoked first, before any of the TagProcessor methods.

### finish

    protected void finish()

  This method is called last, after all TagProcessor methods have been invoked. If an implementor overrides this, it should call super.finish() in the course of its own finish() processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD